post
https://bo-api.staging.wedbush.tech/v1/auth/token
This endpoint issues an OAuth 2.0 access token using the client credentials grant.
OAuth clients must authenticate using HTTP Basic authentication, with their OAuth client ID and OAuth client secret encoded in the Authorization header.
- Only the
client_credentialsgrant type is supported. - Tokens are returned as Bearer tokens and are short-lived.
Security
- The endpoint is publicly accessible, but requires valid OAuth Client credentials.
- Incorrect or expired credentials will result in a
401 Unauthorizederror.
Endpoint Protection:
- HarborBasicTokenAuthGuard: Refer to guard documentation for details.
Examples:
- Successful Token Request: A valid request using OAuth client credentials in the Authorization header.
{
"grant_type": "client_credentials"
}- Invalid Grant Type: Will return an error because only the
client_credentialsgrant is supported.
{
"grant_type": "password"
}- Missing Grant Type: Will fail validation because the required
grant_typeis not provided.
{}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…